BANK KALTENG - Bug #953

[Absence HR] Remaining Quota tidak Berkurang
03/09/2022 02:22 PM - Mega Yunita

Status: Closed Start date: 03/09/2022
Priority: Urgent Due date: 03/10/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mas Wanto,

Mohon bantuannya untuk memperbaiki masalah, yaitu :
1. Submit Absence yang dilakukan melalui HR tidak memotong Quota Cuti (Remaining Quota tidak berkurang).

Port : http:/103.168.134.28:31130/

Server : 103.168.134.119

DB : MinovaES_BankKalteng_Dev

Menu : HR > Time Management > Time Data > Absence

Semoga dapat dimengerti

Terimakasih

History

#1 - 03/11/2022 11:53 AM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Mega Yunita

update file ...\Ul\scripts\mdgenerator.js

pada line 126 menjadi :

waitMsg: 'Saving Data...",

success: function (response) {

var result = Ext.decode(response.responseText);
if (result.success) {

if (tableName =='PHRPAQ0Q018")

{
var RemainQuota = frm.getValues () .TotalAbsenceTaken;
var EmployeelID = frm.getValues () .EmployeelID;
var AbsenceQuotaType = frm.getValues () .AbsenceType;

MinovaUtil.ExecuteParamQuery ({
ID: "SETPHRPAOOL17",
RemainQuota:RemainQuota,
EmployeelID:EmployeelD,
AbsenceQuotaType:AbsenceQuotaType
}, function(s) {
try {
var result = Ext.decode(s.responseText) .data;
var dataGrid = Ext.decode (Ext.decode (result));
} catch (e) {}
}, function(f) {});

TAMBAHAN PADA TABLE PCMWFCUSTPARAM
ID: SETPHRPAOQ017

#2 - 04/11/2022 05:03 PM - Mega Yunita
- Status changed from QA Test to Closed
